/*
 * DrvREG32.h
 *
 *  Created on: 2013/03/01
 *      Author: Hsieh.Yita
 */

#ifndef DRVREG32_H_
#define DRVREG32_H_

#define pmu_00  (*(unsigned int *)0x40400)
#define clk_00  (*(unsigned int *)0x40300)
#define clk_04  (*(unsigned int *)0x40304)
#define clk_08  (*(unsigned int *)0x40308)
#define clk_0c  (*(unsigned int *)0x4030c)

#define ur_00   (*(unsigned int *)0x40e00)
#define ur_04   (*(unsigned int *)0x40e04)
#define ur_08   (*(unsigned int *)0x40e08)
#define ur_0c   (*(unsigned int *)0x40e0c)
#define ur_10   (*(unsigned int *)0x40e10)
#define ur_14   (*(unsigned int *)0x40e14)
#define ur_18   (*(unsigned int *)0x40e18)

#define pio_c0  (*(unsigned int *)0x40840)
#define pio_c4  (*(unsigned int *)0x40844)

#define spi_00  (*(unsigned int *)0x40f00)
#define spi_04  (*(unsigned int *)0x40f04)
#define spi_08  (*(unsigned int *)0x40f08)
#define spi_0c  (*(unsigned int *)0x40f0c)

#define int_00  (*(unsigned int *)0x40000)//flag
#define int_04  (*(unsigned int *)0x40004)//flag
#define int_08  (*(unsigned int *)0x40008)//flag
#define int_0c  (*(unsigned int *)0x4000c)//flag
#define int_10  (*(unsigned int *)0x40010)//flag
#define int_14  (*(unsigned int *)0x40014)//flag

#define pio_00  (*(unsigned int *)0x40800)//PT1
#define pio_04  (*(unsigned int *)0x40804)
#define pio_08  (*(unsigned int *)0x40808)
#define pio_0c  (*(unsigned int *)0x4080c)

#define pio_10  (*(unsigned int *)0x40810)//PT2
#define pio_14  (*(unsigned int *)0x40814)
#define pio_1c  (*(unsigned int *)0x4081c)
#define pio_18  (*(unsigned int *)0x40818)

#define pio_20  (*(unsigned int *)0x40820)//PT3
#define pio_24  (*(unsigned int *)0x40824)
#define pio_28  (*(unsigned int *)0x40828)
#define pio_2c  (*(unsigned int *)0x4082c)

#define pio_30  (*(unsigned int *)0x40830)//PT4
#define pio_34  (*(unsigned int *)0x40834)
#define pio_38  (*(unsigned int *)0x40838)
#define pio_3c  (*(unsigned int *)0x4083c)

#define pio_40  (*(unsigned int *)0x40840)
#define pio_44  (*(unsigned int *)0x40844)

#define adc_00  (*(unsigned int *)0x41100)
#define adc_04  (*(unsigned int *)0x41104)
#define adc_08  (*(unsigned int *)0x41108)

#define cmp_00  (*(unsigned int *)0x41800)
#define cmp_04  (*(unsigned int *)0x41804)

#define dac_00  (*(unsigned int *)0x41700)
#define dac_04  (*(unsigned int *)0x41704)

#define op_00   (*(unsigned int *)0x41900)
#define op_04   (*(unsigned int *)0x41904)


#define i2c_00  (*(unsigned int *)0x41000)
#define i2c_04  (*(unsigned int *)0x41004)
#define i2c_08  (*(unsigned int *)0x41008)
#define i2c_0c  (*(unsigned int *)0x4100c)
#define i2c_10  (*(unsigned int *)0x41010)
#define i2c_14  (*(unsigned int *)0x41014)

#define rtc_00  (*(unsigned int *)0x41a00)//RTC
#define rtc_04  (*(unsigned int *)0x41a04)
#define rtc_08  (*(unsigned int *)0x41a08)
#define rtc_0c  (*(unsigned int *)0x41a0c)
#define rtc_10  (*(unsigned int *)0x41a10)
#define rtc_14  (*(unsigned int *)0x41a14)
#define rtc_18  (*(unsigned int *)0x41a18)
#define rtc_1c  (*(unsigned int *)0x41a1c)

#define mem_00  (*(unsigned int *)0x40600)
#define sys_04  (*(unsigned int *)0x40104)
#define sys_08  (*(unsigned int *)0x40108)

#define ram_1050 (*(unsigned int *)0x1050)


#endif
/* DRVREG32_H_ */

